package com.lantone.qc.kernel.catalogue.deathcasediscuss;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : DEAC0558
 * @Description :  死亡病例讨论无主持人小结意见
 * @Author :kwz
 * @Date: 2020-03-18 18:38
 */
@Component
public class DEAC0558 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getDeathCaseDiscussDoc() != null) {
            Map<String, String> deathCaseDiscussStructureMap = inputInfo.getDeathCaseDiscussDoc().getStructureMap();
            String deathTime = deathCaseDiscussStructureMap.get("结论");
            if (CatalogueUtil.isEmpty(deathTime)) {
                status.set("-1");
            }
        }
    }
}